
/**
 * Testovaci trida TrojuhelnikTest ... doplnte vlastni komentar
 *
 * @author     jmeno autora
 * @version    cislo verze, datum
 */
public class TrojuhelnikTest extends junit.framework.TestCase
{

    /**
     * Konstruktor umoznujici spustit definovany test.
     */
    public TrojuhelnikTest( String nazevTestu )
    {
        super( nazevTestu );
    }


    /**
     * Vytvoreni pripravku (fixture), tj. sady objektu, s nimiz budou vsechny
     * testy pracovat a ktera se proto vytvori pred spustenim kazdeho testu.         
     */
    protected void setUp()
    {
    }


    /**
     * Uklid po testu - tato metoda se spusti po vykonani kazdeho testu.
     */
    protected void tearDown()
    {
    }
    
    public void testGetPravouhlyAB() {
        Trojuhelnik troj = Trojuhelnik.getPravouhlyAB(3.0, 4.0);
        assertEquals("strana a = 3", 3.0, troj.getStranaA());
        assertEquals("strana b = 4", 4.0, troj.getStranaB());
        assertEquals("strana c = 5", 5.0, troj.getStranaC());
        assertEquals("úhel alfa", 36.86989764584401d, troj.getAlfa());
        assertEquals("úhel beta", 53.13010235415598d, troj.getBeta());
        assertEquals("uhel gama", 90.0, troj.getGama());
        assertEquals("obvod", 12.0, troj.obvod());
        assertEquals("obsah", 6.0, troj.obsah());
    }
    public void testGetPravouhlyAC() {
        Trojuhelnik troj = Trojuhelnik.getPravouhlyAC(3.0, 5.0);
        assertEquals("strana a = 3", 3.0, troj.getStranaA());
        assertEquals("strana b = 4", 4.0, troj.getStranaB());
        assertEquals("strana c = 5", 5.0, troj.getStranaC());
        assertEquals("úhel alfa", 36.86989764584401d, troj.getAlfa());
        assertEquals("úhel beta", 53.13010235415598d, troj.getBeta());
        assertEquals("uhel gama", 90.0, troj.getGama());
        assertEquals("obvod", 12.0, troj.obvod());
        assertEquals("obsah", 6.0, troj.obsah());
        troj = Trojuhelnik.getPravouhlyAC(5.0, 5.0);
        assertNull("pravúhlý trojúhleník se stranami a=5, c=5 neexistuje", troj);
        troj = Trojuhelnik.getPravouhlyAC(6.0, 5.0);
        assertNull("pravúhlý trojúhleník se stranami a=6, c=5 neexistuje", troj);       
    }
    public void testGetTrojuhelnik() {
        double [] rozmery = { 5.0, 12.0 };
        Trojuhelnik troj = Trojuhelnik.getTrojuhelnik(TypTrojuhelnika.PRAVOUHLY_A_B, rozmery);
        assertEquals("strana a",  5.0, troj.getStranaA());
        assertEquals("strana b", 12.0, troj.getStranaB());
        assertEquals("strana c", 13.0, troj.getStranaC());
        assertEquals("uhel gama", 90.0, troj.getGama());
        assertEquals("obvod", 30.0, troj.obvod());
        assertEquals("obsah", 30.0, troj.obsah());
    }

}
